void printi(int val);

int main()
{
  int i, sum = 0;

  i = 0;
  do {
    i++;
    if (i == 5)
      break;
    if (i == 3)
      continue;
    sum += i;
    printi(i);
    printi(sum);
  } while (i < 10);

  printi(i);
  printi(sum);

  return 0;
}
